# Introduction

This section contains the API specification, including all calls that the dApp can make to interact with sign in requests and transaction requests.

During the reading, you are likely to encounter certain calls that have a :unlock: icon. These refer to calls that need to provide the authentication explained in the following document.

The specification is separated into the following sections:

* [**Authentication**](/api/authentication.md): Security mechanism to interact with the API.
* [**Requests**](/api/requests.md): Sign in and transaction request specification.
* [**Polling**](/api/polling.md): Resource for dApps.

{% hint style="info" %}
All API calls specified in this section must be made to the host **console.ckbull.app**
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ckbull.app/api/introduction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
